#!/usr/bin/perl

use strict;
use FDN::Sql::Workflow::Basic;

workflow_select_db('adsl');

my @events = tous_event();

print scalar @events;
print " events\n";

for my $event ( @events ) {
	my @wait = waiting_par_event($event->{'EVENT_EVENT'});
	for my $w ( @wait ) {
		next if ( ! defined($w));
		print "task ".$w->{'TASK_ID'}." is waiting for ".$w->{'WAITING_EVENT'}."\n";
		for my $id ( @ARGV ) {
			if ($id eq $w->{'TASK_ID'}) {
				print "running it\n";
				new_run($w->{'TASK_ID'},$event->{'EVENT_EVENT'});
				del_waiting($w->{'WAITING_ID'});
			}
		}
	}
}
