#!/usr/bin/perl

no strict;
use FDN::Adsl::Basic;
use FDN::Adsl::Purge;
use FDN::Sql::Workflow::Basic;
use FDN::Sql::Workflow::Run;
use FDN::Sql::Plutar::Basic;
use FDN::Sql::Plutar::Run;

if ( ! @ARGV || $ARGV[0] eq '-h' ) {
	print STDERR "Syntax: $0 type\n";
	print STDERR "pour supprimer des objets de type 'type'\n" ;
	exit 1;
}

my $token = $ARGV[0];
my $info_ = '';
my $TOKEN = uc $token;
my $TOKEN_ID = $TOKEN."_ID";
my $purge = "purge_".$token;

if ($token =~ /[a-z]info$/) {
	$info_ = "info_";
	$TOKEN_ID = "INFO_ID";
}

print "Attention, il faut décommenter la ligne de purge à la fin du script pour qu'il marche\n\n";

print "Je m'apprête à supprimer des $TOKEN avec purge_$token, retaper $TOKEN svp pour être sûr\n";

chomp(my $REALLY_TOKEN = <STDIN>);

if ($REALLY_TOKEN ne $TOKEN) {
	print "$REALLY_TOKEN ce n'est pas $TOKEN, j'arrête\n";
	exit 1;
}

print "Ok, c'est parti, tapez des $TOKEN_ID\n";

foreach (<STDIN>) {
	chomp;
	my @ids = split(' ');
	for my $i ( @ids) {
		my $obj = &{$token."_par_".$info_."id"}($i);
		my $id;
		if (!defined $obj) {
			print "pas trouvé $i\n";
			next;
			$id = $i;
		} else {
			$id = $obj->{$TOKEN_ID};
		}
		print "$TOKEN $TOKEN_ID $purge($id): ";
		#&{$purge}($id);
		print "ok\n";
	}
}
