#!/usr/bin/perl

use FDN::Common::Config;
use FDN::Common::Modules;
use FDN::Adsl::Radius;

if ( ! @ARGV || $ARGV[0] eq '-h' ) {
	print STDERR "Syntax: $0 nom realm IP|pass\n";
	print STDERR "login : login (sans le royaume)\n";
	print STDERR "realm : royaume (e.g. vpn.fdn.fr)\n";
	print STDERR "IP : IPv4  utiliser explicitement, ou bien type d'IP  allouer (net1,vpn1,...)\n";
	print STDERR "pass : Pour un compte \@apache, mot de passe  positionner\n";
	exit 1;
}

my $login = shift @ARGV;
my $realm = shift @ARGV;
my $ip_pass = shift @ARGV;
my $uid;

if ( $realm = "vpn.fdn.fr" ) {
	$uid = create_radius_vpn(-1, $login, $ip_pass);
} elsif ( $realm = "fdn.fr" or $realm = "fdn.nerim" ) {
	$uid = create_radius_l2tp(-1, $login, "nerim", "Opt1", $ip_pass);
} elsif ( $realm = "fdn.fr" or $realm = "fdn.dslnet.fr") {
	$uid = create_radius_l2tp(-1, $login, "liazo", "LiazoOrange", $ip_pass);
} elsif ( $realm = "fdn.ilf.kosc") {
	$uid = create_radius_l2tp(-1, $login, "liazo", "LiazoKosc", $ip_pass);
} elsif ( $realm = "fdn.fttnet") {
	$uid = create_radius_l2tp(-1, $login, "liazo", "LiazoBouygues", $ip_pass);
} elsif ( $realm = "apache" ) {
	$uid = create_radius_adh(-1, $login, $ip_pass);
} else {
	print STDERR "Type de royaume $realm inconnu\n";
	exit 1;
}
print "Obtenu l'uid $uid\n";
